carp_audio_package 0.3.4

  • README.md
  • CHANGELOG.md
  • Installing
  • Versions
  • 73

CARP Audio Sampling Package #

pub package

This library contains a sampling package for audio to work with the carp_mobile_sensing package. This packages supports sampling of the following Measure types:

  • audio
  • noise

See the wiki for further documentation, particularly on available measure types and sampling schemas.

For Flutter plugins for other CARP products, see CARP Mobile Sensing in Flutter.

If you're interested in writing you own sampling packages for CARP, see the description on how to extend CARP on the wiki.

Installing #

To use this package, add the following to you pubspc.yaml file. Note that this package only works together with carp_mobile_sensing.

dependencies:
  flutter:
    sdk: flutter
  carp_mobile_sensing: ^0.3.0
  carp_audio_package: ^0.3.0
  ...

Android Integration #

Add the following to your app's manifest.xml file located in android/app/src/main:

<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="<your_package_name>"
    xmlns:tools="http://schemas.android.com/tools">

   ...
   
   <!-- The following permissions are used for CARP Mobile Sensing -->
   <uses-permission android:name="android.permission.RECORD_AUDIO"/>
   <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE"/>
   <uses-permission android:name="android.permission.PACKAGE_USAGE_STATS" tools:ignore="ProtectedPermissions"/>

</manifest>

iOS Integration #

Add this permission in the Info.plist file located in ios/Runner:

<key>NSMicrophoneUsageDescription</key>
<string>Uses the microphone to record ambient noise in the phone's environment.</string>
<key>UIBackgroundModes</key>
  <array>
  <string>audio</string>
  <string>external-accessory</string>
  <string>fetch</string>
</array>

Using it #

To use this package, import it into your app together with the carp_mobile_sensing package:

import 'package:carp_mobile_sensing/carp_mobile_sensing.dart';
import 'package:carp_audio_package/context.dart';

Before creating a study and running it, register this package in the SamplingPackageRegistry.

  SamplingPackageRegistry.register(AudioSamplingPackage());

0.3.4 #

  • update to carp_mobile_sensing version 0.3.10

0.3.3 #

  • solved issue #21.

0.3.2 #

  • Update to carp_mobile_sensing v. 0.3.7
  • Using the data types in the package (audio, noise)
  • Update of readme file.

0.3.1 #

  • Documentation

0.3.0 #

  • Initial release compatible with carp_mobile_sensing version 0.3.*

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  carp_audio_package: ^0.3.4

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter packages get

Alternatively, your editor might support flutter packages get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:carp_audio_package/audio.dart';
import 'package:carp_audio_package/audio.g.dart';
import 'package:carp_audio_package/audio_datum.dart';
import 'package:carp_audio_package/audio_measures.dart';
import 'package:carp_audio_package/audio_package.dart';
import 'package:carp_audio_package/audio_probe.dart';
import 'package:carp_audio_package/noise_probe.dart';
  
Version Uploaded Documentation Archive
0.3.4 Mar 20, 2019 Go to the documentation of carp_audio_package 0.3.4 Download carp_audio_package 0.3.4 archive
0.3.3 Mar 18, 2019 Go to the documentation of carp_audio_package 0.3.3 Download carp_audio_package 0.3.3 archive
0.3.2 Mar 11, 2019 Go to the documentation of carp_audio_package 0.3.2 Download carp_audio_package 0.3.2 archive
0.3.1 Feb 5, 2019 Go to the documentation of carp_audio_package 0.3.1 Download carp_audio_package 0.3.1 archive
0.3.0 Feb 4, 2019 Go to the documentation of carp_audio_package 0.3.0 Download carp_audio_package 0.3.0 archive
Popularity:
Describes how popular the package is relative to other packages. [more]
49
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
90
Overall:
Weighted score of the above. [more]
73
Learn more about scoring.

We analyzed this package on Apr 22, 2019, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.2.0
  • pana: 0.12.14
  • Flutter: 1.4.7

Platforms

Detected platforms: Flutter

References Flutter, and has no conflicting libraries.

Health suggestions

Format lib/audio_datum.dart.

Run flutter format to format lib/audio_datum.dart.

Format lib/audio_package.dart.

Run flutter format to format lib/audio_package.dart.

Format lib/audio_probe.dart.

Run flutter format to format lib/audio_probe.dart.

Format lib/noise_probe.dart.

Run flutter format to format lib/noise_probe.dart.

Maintenance suggestions

Maintain an example. (-10 points)

Create a short demo in the example/ directory to show how to use this package.

Common filename patterns include main.dart, example.dart, and carp_audio_package.dart. Packages with multiple examples should provide example/README.md.

For more information see the pub package layout conventions.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.1.0 <3.0.0
carp_mobile_sensing ^0.3.10 0.3.10
flutter 0.0.0
flutter_sound ^1.1.5 1.4.0
json_annotation ^1.0.0 1.2.0 2.2.0
noise_meter ^0.0.3 0.0.3 0.1.0
path_provider ^0.4.1 0.4.1 0.5.0+1
Transitive dependencies
app_usage 0.1.0
archive 2.0.8
args 1.5.1
async 2.2.0
battery 0.2.3 0.3.0+3
charcode 1.1.2
collection 1.14.11
connectivity 0.3.2 0.4.3+1
convert 2.1.1
crypto 2.0.6
device_apps 1.0.7
device_info 0.2.1 0.4.0+1
file_utils 0.1.1
fixnum 0.10.9
flutter_blue 0.4.2 0.5.0
globbing 0.2.0
light 0.1.1
meta 1.1.6 1.1.7
path 1.6.2
pedometer 0.0.5
protobuf 0.10.8 0.13.11
screen_state 0.1.1
sensors 0.3.5 0.4.0+1
simple_permissions 0.1.9
sky_engine 0.0.99
stats 0.2.0+2
system_info 0.1.1
typed_data 1.1.6
uuid 1.0.3 2.0.1
vector_math 2.0.8
Dev dependencies
build_runner any
flutter_test
json_serializable ^1.0.0
test any